LPP2HestonExpansion Class Reference

`#include <ql/pricingengines/vanilla/hestonexpansionengine.hpp>`

Inheritance diagram for LPP2HestonExpansion:
[legend]

## Public Member Functions

| LPP2HestonExpansion (Real kappa, Real theta, Real sigma, Real v0, Real rho, Real term)
virtual Real | impliedVolatility (Real strike, Real forward) const

## Detailed Description

Lorig Pagliarani Pascucci expansion of order-2 for the Heston model. During calibration, it can be initialized once per expiry, and called many times with different strikes. The formula is also available in the Mathematica notebook from the authors at http://explicitsolutions.wordpress.com/